libdevice User's Guide (PDF) - v10.0.130 (older) - Last updated August 25, 2018 - Send Feedback

## 3.176. __nv_half2float

Prototype:

    float @__nv_half2float(i16 %h)

Description:

Convert the half-precision floating point value `x` represented in `unsigned short` format to a single-precision floating point value.

Returns:

Returns converted value.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes